Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.symbology.milStd2525
Interface SymbolImageMaker

All Superinterfaces:
  PropertyConsumer

All Known Implementing Classes:
  BasicSymbolImageMaker

public interface SymbolImageMaker
extends PropertyConsumer

Field Summary
`static java.lang.String` | `BackgroundPaintProperty`
`static java.lang.String` | `DataPathProperty`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Method Summary
`javax.swing.ImageIcon` | `getIcon(java.lang.String code, java.awt.Dimension di)`
`void` | `setBackground(java.awt.Paint p)`
`void` | `setDataPath(java.lang.String dataPath)`

Methods inherited from interface com.bbn.openmap.PropertyConsumer
`getProperties, getPropertyInfo, getPropertyPrefix, setProperties, setProperties, setPropertyPrefix`

Field Detail

### BackgroundPaintProperty

    public static final java.lang.String BackgroundPaintProperty

See Also:
  Constant Field Values

### DataPathProperty

    public static final java.lang.String DataPathProperty

See Also:
  Constant Field Values

Method Detail

### getIcon

    public javax.swing.ImageIcon getIcon(java.lang.String code,
                                         java.awt.Dimension di)

### setDataPath

    public void setDataPath(java.lang.String dataPath)

### setBackground

    public void setBackground(java.awt.Paint p)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details